URGENT BetaFlight PSA – Don’t use Configurator 10.3.0!

It turns out the second-latest release of BetaFlight has a potentially lethal bug – lethal to your motors that is! Whatever you do, DON’T use BetaFlight Configurator 10.3.0 to flash or change BetaFlight settings on your beloved quadcopter. The latest release, 10.3.1 – which you should download, as the bug is fixed – is available here.

While your quad might not be affected right now, the next time you update your settings, it might be. The 10.3.0 configurator, which many (including myself) installed to be able to use the latest 3.4 release candidates, might disable gyro lowpass filtering entirely. In layman’s terms, your motors try to respond to your gyro’s input unflitered, and will heat up to the point where they’ll fry themselves and will need to be replaced. Not good!

To check if you’ve already been affected, you can type ‘get gyro’ into the CLI, and search for ‘gyro_lowpass_hz’ in the list. If the value next to this is 0, you’ve experienced the bug and will need to install the new configurator to change this back to default.

Hopefully this reaches you all in time, good luck and happy flying!

Up Next:

What's new with Betaflight 3.4

What's new with Betaflight 3.4